AutoMedObject
Keywords: uk.ac.ic.doc.automed.p2p.tree.AutoMedObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class AutoMedObject

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.TreeNode
          uk.ac.ic.doc.automed.p2p.tree.AutoMedObject

    public class AutoMedObject

extends TreeNode

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.TreeNode
`children, CLASS, COLLECTION, COLLECTION_SET, FIELD, GLOBAL, id, ID, LIST, MAIN_OBJECT_CLASSES, OBJECT, OBJECT_DEFINITION, OBJECT_LIST, parent, REF, VALUE`

Constructor Summary
`AutoMedObject(PersistentKey key)`
`AutoMedObject(PersistentObject po)`

Method Summary
`java.util.List` | `getAllReferences()`
`Value` | `getFieldValue(java.lang.String fieldName)`
`PersistentKey` | `getKey()`
`java.lang.Class` | `getObjectClass()`
`PersistentObject` | `getRealObject()`
`java.util.Map` | `getSimpleValueMap()` return a simple HashMap of field-> value as String.
`protected org.w3c.dom.Node` | `getXMLNode(org.w3c.dom.Document document)`
`protected boolean` | `isValidChild(TreeNode child)`
`void` | `setRealObject(PersistentObject realObject)`

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.TreeNode
`addChild, createObjectNode, createTree, createTree, getChild, getChildren, getId, getXMLDocument, getXMLString, placeChild, setId, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoMedObject

    public AutoMedObject(PersistentKey key)

### AutoMedObject

    public AutoMedObject(PersistentObject po)

Method Detail

### getAllReferences

    public java.util.List getAllReferences()

### getObjectClass

    public java.lang.Class getObjectClass()

  Returns:

### getKey

    public PersistentKey getKey()

### getXMLNode

    protected org.w3c.dom.Node getXMLNode(org.w3c.dom.Document document)

  Specified by:
    `getXMLNode` in class `TreeNode`

### isValidChild

    protected boolean isValidChild(TreeNode child)

  Specified by:
    `isValidChild` in class `TreeNode`

### getRealObject

    public PersistentObject getRealObject()

  Returns:
    Returns the realObject.

### setRealObject

    public void setRealObject(PersistentObject realObject)

  Parameters:
    `realObject` - The realObject to set.

### getFieldValue

    public Value getFieldValue(java.lang.String fieldName)

### getSimpleValueMap

    public java.util.Map getSimpleValueMap()

  return a simple HashMap of field-> value as String. Use this method only when you know for sure that ALL fields of this object have String-type values. All non-String-type values will be converted to String using their toString() methods.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD